package com.xxrv.wallet.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.math.BigDecimal;
import java.util.List;

public class IncomeRecordsBean extends BaseBean {
    private boolean rel;
    private IncomeRecordData data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public IncomeRecordData getData() {
        return data;
    }

    public void setData(IncomeRecordData data) {
        this.data = data;
    }

    public static class IncomeRecordData {
        private BigDecimal totalIncome;
        private List<IncomeItem> sellingWaters;
        private int pageNum;
        private int pageSize;
        private int totalCount;
        private int totalPage;

        public int getPageNum() {
            return pageNum;
        }

        public void setPageNum(int pageNum) {
            this.pageNum = pageNum;
        }

        public int getPageSize() {
            return pageSize;
        }

        public void setPageSize(int pageSize) {
            this.pageSize = pageSize;
        }

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public BigDecimal getTotalIncome() {
            return totalIncome;
        }

        public void setTotalIncome(BigDecimal totalIncome) {
            this.totalIncome = totalIncome;
        }

        public List<IncomeItem> getSellingWaters() {
            return sellingWaters;
        }

        public void setSellingWaters(List<IncomeItem> sellingWaters) {
            this.sellingWaters = sellingWaters;
        }
    }

    public static class IncomeItem {
        private BigDecimal commission;
        private long crtTime;
        private int goodNumber;
        private String headUrl;
        private String img;
        private String nickName;
        private BigDecimal price;
        private int status;
        private String title;
        private long updTime;
        private String username;
        private int waiting;
        private String sellerStatus;// 0未入账 1 已入账 2：取消
        private String statusText;
        private boolean isShow;


        public BigDecimal getCommission() {
            return commission;
        }

        public void setCommission(BigDecimal commission) {
            this.commission = commission;
        }

        public long getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(long crtTime) {
            this.crtTime = crtTime;
        }

        public int getGoodNumber() {
            return goodNumber;
        }

        public void setGoodNumber(int goodNumber) {
            this.goodNumber = goodNumber;
        }

        public String getHeadUrl() {
            return headUrl;
        }

        public void setHeadUrl(String headUrl) {
            this.headUrl = headUrl;
        }

        public String getImg() {
            return img;
        }

        public void setImg(String img) {
            this.img = img;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public BigDecimal getPrice() {
            return price;
        }

        public void setPrice(BigDecimal price) {
            this.price = price;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public long getUpdTime() {
            return updTime;
        }

        public void setUpdTime(long updTime) {
            this.updTime = updTime;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public int getWaiting() {
            return waiting;
        }

        public void setWaiting(int waiting) {
            this.waiting = waiting;
        }

        public String getSellerStatus() {
            return sellerStatus;
        }

        public void setSellerStatus(String sellerStatus) {
            this.sellerStatus = sellerStatus;
        }

        public String getStatusText() {
            return statusText;
        }

        public void setStatusText(String statusText) {
            this.statusText = statusText;
        }

        public boolean isShow() {
            return isShow;
        }

        public void setShow(boolean show) {
            isShow = show;
        }
    }
}
